### Method

# GLib IOChannel read_line_string

#### Declaration

    GIOStatus
    g_io_channel_read_line_string (
      GIOChannel* channel,
      GString* buffer,
      gsize* terminator_pos,
      GError** error
    )

#### Description

Reads a line from a `GIOChannel`, using a `GString` as a buffer.

#### Parameters

`buffer`

  Type: `GString`

  A `GString` into which the line will be written. If `buffer` already contains data, the old data will be overwritten.

  The data is owned by the caller of the method.

`terminator_pos`

  Type: `gsize*`

  Location to store position of line terminator, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GIOStatus`

The status of the operation.